package com.yeejoin.amos.boot.module.jg.biz.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.module.ymt.api.entity.IdxBizJgUseInfo;

import java.util.List;

/**
 * 使用信息表接口类
 *
 * @author system_generator
 * @date 2023-08-16
 */
public interface IIdxBizJgUseInfoService extends IService<IdxBizJgUseInfo> {

    boolean saveOrUpdateData(IdxBizJgUseInfo useInfo);

    IdxBizJgUseInfo getOneData(String record);

    List<IdxBizJgUseInfo> getUseInfoListByEquIds(List<String> equIds);

    boolean saveBatch(List<IdxBizJgUseInfo> useInfoList);
}
